#include <iostream>
#include <fstream>
#include <algorithm>
using namespace std;

void transferNumbers(const char* source, const char* dest)
{
	ifstream in(source, ios::in);
	ofstream out(dest, ios::out | ios::binary);

	if (!in.is_open() || !out.is_open())
	{
		return;
	}

	
	const int size = 3;
	int triple[size];

	while (!in.eof())
	{
		in >> triple[0] >> triple[1] >> triple[2];
		sort(triple, triple + size);

		out.write(reinterpret_cast<const char*>(triple), size * sizeof(int));
	}
}

void displayNumbers(const char* source)
{
	ifstream in(source, ios::in | ios::binary);

	if (!in.is_open())
	{
		return;
	}

	const int size = 3;
	int triple[size];

	while (!in.eof())
	{
		in.read(reinterpret_cast<char*>(triple), size * sizeof(int));

		if (!in.eof())
		{
			cout << triple[0] << " " << triple[1] << " " << triple[2] << endl;
		}
	}
}